Error after plugin update

Hi - I am using EducationPress theme and have just updated the Coursepress Plugin but now get a script error on any of the courses pages - please advise:
Warning: array_filter() expects parameter 1 to be array, string given in wp-content/plugins/coursepress/2.0/include/coursepress/data/class-student.php on line 2004